API Reference
Regenerate topic prompts for specific type
X-API-Key<token>
API Key for programmatic access
In: header
Path Parameters
domainId*string
topicId*string
type*string
Response Body
application/json
curl -X POST "https://example.com/api/domains/string/topics/string/prompts/regenerate/string"{ "prompts": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "text": "What are the best running shoe brands?", "adsIncluded": true, "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z" } ], "type": "visibility", "count": 12, "saved": true}